# 课程基本信息

课程基本信息在 `manifest.yml` 文件中配置，可配置的内容包括：

| 选项|是否必填| 说明|
|:--|:--:|--:|
|title|✓| 课程名称|
|target_user|✓|建议的课程学习人群|
|duration|✓|课程时长|
|official_website| |课程官网|
|discussion_url|✓|课程反馈地址|
|tags| |课程标签|
|chapters|✓|课程步骤|
|recommends| |相关课程推荐|

其中`tags`,`chapters`及`recommends`均为数组格式，其格式如下

**tags**

```yaml
tags:
  - 'Git'
  - 'Git 教程'
  - 'Git 入门'
  - 'Learning LAB'
```

**chapters**

课程步骤的配置信息，其中：

- `title`，该步骤的标题，将显示在课程页面中，可用于标识课程的学习进度
- `config_path`，该步骤的配置文件
- `sort_index`，该步骤在课程中的排序

```yaml
chapters:
  - title: git简介
    config_path: 01_git简介/index.yml
    sort_index: 1

  - title: git安装
    config_path: 02_git安装/index.yml
    sort_index: 2
```

**recommends**

课程的推荐内容，其中：

- `title`，推荐内容的名称
- `url`，推荐内容链接
- `img`，推荐内容封面图

```yaml
recommends:
  - title: 'Git入门基础'
    url: https://edu.csdn.net/course/detail/1223
    img: 'https://img-bss.csdnimg.cn/20208521644599_31426.jpg?imageMogr2/auto-orient/thumbnail/636x360!/format/jpg%7Cwatermark/1/image/aHR0cHM6Ly9pbWctYnNzLmNzZG5pbWcuY24v5LyB5Lia5L-h5oGv5YyWXzIucG5n/dissolve/85/gravity/Center/dx/0/dy/0/'
```


以下是《Git 入门》的课程基本信息参考示例：

```yaml
# 课程主体信息配置
title: 'Git 课程入门'
target_user: '初学者'
duration: '70分钟'
official_website: 'https://codechina.csdn.net'
discussion_url: 'https://codechina.csdn.net/codechina_dev/git-learning-course-template/-/issues/1'
tags:
  - 'Git'
  - 'Git 教程'
  - 'Git 入门'
  - 'Learning LAB'
chapters:
  - title: git简介
    config_path: 01_git简介/index.yml
    sort_index: 1

  - title: git安装
    config_path: 02_git安装/index.yml
    sort_index: 2

  - title: git使用
    config_path: 03_git使用/index.yml
    sort_index: 3

  - title: 版本管理
    config_path: 04_版本管理/index.yml
    sort_index: 4

  - title: 分支管理
    config_path: 05_分支管理/index.yml
    sort_index: 5

  - title: git标签
    config_path: 06_git标签/index.yml
    sort_index: 6

# 视频课程推荐
recommends:
  - title: 'Git入门基础'
    url: https://edu.csdn.net/course/detail/1223
    img: 'https://img-bss.csdnimg.cn/20208521644599_31426.jpg?imageMogr2/auto-orient/thumbnail/636x360!/format/jpg%7Cwatermark/1/image/aHR0cHM6Ly9pbWctYnNzLmNzZG5pbWcuY24v5LyB5Lia5L-h5oGv5YyWXzIucG5n/dissolve/85/gravity/Center/dx/0/dy/0/'

  - title: 'Git实战视频教程'
    url: https://edu.csdn.net/course/detail/2319
    img: 'https://img-bss.csdnimg.cn/202085211018301_38053.jpg?imageMogr2/auto-orient/thumbnail/636x360!/format/jpg%7Cwatermark/1/image/aHR0cHM6Ly9pbWctYnNzLmNzZG5pbWcuY24veOeglOWPkeeuoeeQhi0wNC5wbmc=/dissolve/85/gravity/Center/dx/0/dy/0/'

  - title: 'Git/GitHub实战视频'
    url: https://edu.csdn.net/course/detail/25282
    img: 'https://img-bss.csdnimg.cn/20208521916893_74866.jpg?imageMogr2/auto-orient/thumbnail/636x360!/format/jpg%7Cwatermark/1/image/aHR0cHM6Ly9pbWctYnNzLmNzZG5pbWcuY24vYkphdmFfMzMucG5n/dissolve/85/gravity/Center/dx/0/dy/0/'
```