# 课程调试

// 2021-07-22 更新

为了方便制作课程中的调试，我们在测试课程中增加了日志输出记录（目前为测试课程相关的全部日志部分，暂未对异常进行特殊显示，需要自行根据日志判断出错位置，以便进行调整）

以下是课程调试日志的一个demo：

![课程测试日志](../../img/test-log.gif)

> 注：目前课程调试日志仅针输出 **测试课程** 中的相关日志。

## 部分名词解释

在课程测试过程中，可以先简单根据 `log` 输出来确认课程执行的步骤以及结果输出，并根据相应的日志输出对 `index.yml` 进行调整&测试。

### `Current Task`

`Current Task` 是指当前课程执行到哪一步，对应 `index.yml` 中的 `step` 部分：

```yaml
step1:
  link: '{{chapter_3_issue}}'
  description: "Setext 标题"
```

### `Current Transition`

`Current Transition` 是指当前正在执行的 transition，对应 `index.yml` 中的 `transitions` 部分:

```yaml
step1:
  link: '{{chapter_3_issue}}'
  description: "Setext 标题"
  transitions:
    events: ['note_events']
    action:
      - type: issue_comment.created
        with: 003_2_Setext_header.md
      - type: choice
        with: next.md
    to: step2
```

### 异常报错

如果在课程执行过程中出现了一场，系统会将具体的报错信息输出到log日志中，方便开发人员协同调试。


