# 一些技巧或建议

## 技巧一：内容的折叠

在课程内容介绍中，如果有不好拆分成小段的大段内容，或者有一些运行代码后的结果之类的，都建议大家使用【内容折叠】这个方法（注：实现折叠是通过 Html 实现的，并非是 Markdown 语法）。

其代码如下

```markdown
<details><summary> Git 诞生的背景</summary>
<hr>

同生活中的许多伟大事物一样，Git 诞生于一个极富纷争大举创新的年代。

.
..
...

有一些商用的版本控制系统，虽然比`CVS`、`SVN`好用，但那是付费的，和 Linux 的开源精神不符。

</details>
```

其中 `<summary>` 标签中的内容会一直显示；`<details>` 中的其余内容，则只有在点击了展开之后才会显示；

通过这样的方式，我们可以将一些不太影响用户理解（比如一些补充信息、代码运行结果等）的内容折叠起来，避免大段文字内容对用户造成的困扰。


## 技巧二：测试课程

对于课程，目前提供了 发布课程 & 测试课程两个功能，其实这2个功能是很有区别的，我们建议：

1. 发布课程，只有在完成了课程测试，并且对课程内容整体流程确认没问题的情况下，我们才会发布课程（发布课程相当于 Release 了这个课程），发布后的课程，有课程链接的用户就可以直接开始学习了；这个时候，如果想重新学习课程，需要大家主动退出课程方可重新学习；
2. 测试课程，在课程制作、调试期间，建议大家使用测试课程功能，对于测试的课程，每次都会使用 `course-config` & `template-config` 仓库中的最新内容来生成工作流，保证测试的是最新的内容；并且再每次点击测试课程的时候，系统会自动退出之前的测试课程版本（包括测试课程的学习仓库也会被删掉），每次你只用点测试课程开始你的测试即可

## 技巧三：跳过课程章节

在课程测试时，每次都只能从课程的第一个章节开始测试，这会导致在调试课程后面部分内容的时候非常容易浪费时间，并且之前的课程其实都已经测试过，没有问题，这个情况下怎么办呢？

在这种情况下，我们建议大家调整 `course-congfig` 仓库中的 `manifest.yml`，注销掉之前测试过没问题的章节，直接从需要调试的章节开始，比如：

```yml
chapters:
#  - title: git简介
#    config_path: 01_git简介/index.yml
#    sort_index: 1

#  - title: git安装
#    config_path: 02_git安装/index.yml
#    sort_index: 2

#  - title: git使用
#    config_path: 03_git使用/index.yml
#    sort_index: 3

  - title: 版本管理
    config_path: 04_版本管理/index.yml
    sort_index: 4

  - title: 分支管理
    config_path: 05_分支管理/index.yml
    sort_index: 5

  - title: git标签
    config_path: 06_git标签/index.yml
    sort_index: 6
```

上面这样的一门课，在测试课程的时候，就会直接从 【版本管理】 这个章节开始，而不需要再重复 1、2、3 章节的内容学习了。

> 注：在最终发布课程前，别忘记将注释掉的课程章节改回来。
